org.apache.hadoop.hdfs.protocol

## Enum HdfsConstants.StoragePolicySatisfierMode

- java.lang.Object
- - java.lang.Enum<HdfsConstants.StoragePolicySatisfierMode>
  - - org.apache.hadoop.hdfs.protocol.HdfsConstants.StoragePolicySatisfierMode

- All Implemented Interfaces:
    Serializable, Comparable<HdfsConstants.StoragePolicySatisfierMode>
  Enclosing class:
    org.apache.hadoop.hdfs.protocol.HdfsConstants

      public static enum HdfsConstants.StoragePolicySatisfierMode
      extends Enum<HdfsConstants.StoragePolicySatisfierMode>

  Storage policy satisfier service modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXTERNAL` This mode represents that SPS service is running outside Namenode as an external service and can accept any SPS call request.
    `NONE` This mode represents that SPS service is disabled and cannot accept any SPS call request.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HdfsConstants.StoragePolicySatisfierMode` | `fromString(String s)` Convert the given String to a StoragePolicySatisfierMode.
    `static HdfsConstants.StoragePolicySatisfierMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HdfsConstants.StoragePolicySatisfierMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXTERNAL

          public static final HdfsConstants.StoragePolicySatisfierMode EXTERNAL

      This mode represents that SPS service is running outside Namenode as an external service and can accept any SPS call request.

    - #### NONE

          public static final HdfsConstants.StoragePolicySatisfierMode NONE

      This mode represents that SPS service is disabled and cannot accept any SPS call request.

  - ### Method Detail

    - #### values

          public static HdfsConstants.StoragePolicySatisfierMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HdfsConstants.StoragePolicySatisfierMode c : HdfsConstants.StoragePolicySatisfierMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HdfsConstants.StoragePolicySatisfierMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static HdfsConstants.StoragePolicySatisfierMode fromString(String s)

      Convert the given String to a StoragePolicySatisfierMode.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.